Update DesignTheme

PUT /tenants/{tenant}/designthemes/{code}

Updates a DesignTheme for the specified tenant.

Requires: Update on DesignThemes.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

code* path string

Request Body*

{
  "name": "string",
  "isDefault": false,
  "heading1": {
    "fontFamily": "...",
    "fontSize": 0,
    "color": "string",
    "bold": false,
    "italic": false
  },
  "heading2": {
    "fontFamily": "...",
    "fontSize": 0,
    "color": "string",
    "bold": false,
    "italic": false
  },
  "heading3": {
    "fontFamily": "...",
    "fontSize": 0,
    "color": "string",
    "bold": false,
    "italic": false
  }
}

Responses

400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
403 Forbidden – the caller lacks the permissions this endpoint requires; the detail lists every one missing
application/problem+json
404 Not Found
application/problem+json